
Insteon - Feature #852

Resolve command types

10/12/2014 06:08 AM - Luke Murphey

Status: Closed Start date: 10/12/2014

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 0.5   

Description

Related issues:

Related to Insteon - Bug #863: All-link messages are parsed incorrectly Closed 10/17/2014

History

#1 - 10/13/2014 09:05 PM - Luke Murphey

- Status changed from New to In Progress

#2 - 10/13/2014 09:27 PM - Luke Murphey

One thing that is a little difficult about this. The category and subcategory must take into account if the message is an acknowledgement or not. If

ack=1, then the category and sub-category must be based on the "from" device, otherwise, it must be based on the "to" device.

#3 - 10/13/2014 09:32 PM - Luke Murphey

Need to consider differences between SA and SD messages too.

#4 - 10/13/2014 09:53 PM - Luke Murphey

Might be able to use an evaluated field for this.

#5 - 10/14/2014 06:52 PM - Luke Murphey

See tables in http://www.insteon.com/pdf/INSTEON_Command_Tables_20070925a.pdf

#6 - 10/15/2014 03:28 AM - Luke Murphey

- % Done changed from 0 to 50

#7 - 10/26/2014 04:55 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 50 to 100
